/******************************************************************************
 * Script de Extensao para Calculo de Niveis (de Jogador e Itens)             *
 * Verso: 2.0                                                                *
 ******************************************************************************

 ******************************************************************************/

//******************************************************************************
// Declaracoes de Constantes Globais
//******************************************************************************

// Nivel maximo permitido no servidor. Nao e recomendado valores superiores a 120
const int NIVEL_MAXIMO_PERMITIDO = 1000; //1000

//******************************************************************************
// Assinaturas de Procedimentos, Funcoes e Metodos
//******************************************************************************

// Retorna quanto de experiencia e necessaria para se ter determinado nivel.
int ObterExperienciaNivel(int iNivel);

// Retorna quanto de nivel se tem com determinada esperiencia.
int ObterNivelExperiencia(int iExperiencia);

// Retorna o nivel real de determinado jogador a partir de sua experiencia.
int ObterNivelJogador(object oJogador);

// Retorna o nivel de determinada criatura, obtida a partir das variaveis do jogo.
int ObterNivelCriatura(object oCriatura);

// Converte iPreco do item em nivel necessario para utiliza-lo.
int ConverterPrecoNivelItem(int iPreco);

// Retorna o nivel necessario para utilizar determinado item.
int ObterNivelItem(object oItem);

// Retorna a experiencia necessaria para utilizar determinado item.
int ObterExperienciaItem(object oItem);


//******************************************************************************
// Implementacao de Procedimentos, Funcoes e Metodos
//******************************************************************************

//******************************************************************************
int ObterExperienciaNivel(int iNivel)
{
    int iContador;
    int iXP = 0;

    for (iContador = 1;iContador <= iNivel;iContador++)
    {
        iXP += ((iContador - 1) * 1000);
    }

    return iXP;
}
//******************************************************************************

//******************************************************************************
int ObterNivelExperiencia(int iExperiencia)
{
    int iXPAtual = iExperiencia;
    int iContadorNivel = 1;
    int iXPProximoNivel = 1000;

    while (iXPAtual >= iXPProximoNivel)
    {
        iContadorNivel++;
        iXPAtual = iXPAtual - iXPProximoNivel;
        iXPProximoNivel = iXPProximoNivel + 1000;
    }

    return iContadorNivel;
}
//******************************************************************************

//******************************************************************************
int ObterNivelJogador(object oJogador)
{
    return ObterNivelExperiencia(GetXP(oJogador));
}
//******************************************************************************

//******************************************************************************
int ObterNivelCriatura(object oCriatura)
{
    return
        (
            GetLevelByPosition(1,oCriatura) +
            GetLevelByPosition(2,oCriatura) +
            GetLevelByPosition(3,oCriatura) +
            GetLevelByPosition(4,oCriatura) +
            GetLevelByPosition(5,oCriatura) +
            GetLevelByPosition(6,oCriatura) +
            GetLevelByPosition(7,oCriatura) +
            GetLevelByPosition(8,oCriatura)
        );
}
//atualizada abaixo:
  /*
int ObterNivelCriatura(object oCriatura)
{
    int iNivel = FloatToInt( GetChallengeRating( oCriatura ) + 0.5 );
    if ( iNivel < 1 ) { iNivel = 1; }
    return iNivel;
}  */
//******************************************************************************

//******************************************************************************
int ConverterPrecoNivelItem(int iPreco)
{
    if (iPreco <= 1000) { return 1; }
    else if (iPreco <= 3400) { return 2; }
    else if (iPreco <= 7400) { return 3; }
    else if (iPreco <= 13000) { return 4; }
    else if (iPreco <= 20200) { return 5; }
    else if (iPreco <= 29000) { return 6; }
    else if (iPreco <= 39400) { return 7; }
    else if (iPreco <= 51400) { return 8; }
    else if (iPreco <= 65000) { return 9; }
    else if (iPreco <= 80200) { return 10; }
    else if (iPreco <= 97000) { return 11; }
    else if (iPreco <= 115400) { return 12; }
    else if (iPreco <= 135400) { return 13; }
    else if (iPreco <= 157000) { return 14; }
    else if (iPreco <= 180200) { return 15; }
    else if (iPreco <= 205000) { return 16; }
    else if (iPreco <= 231400) { return 17; }
    else if (iPreco <= 259400) { return 18; }
    else if (iPreco <= 289000) { return 19; }
    else if (iPreco <= 320200) { return 20; }
    else if (iPreco <= 353000) { return 21; }
    else if (iPreco <= 387400) { return 22; }
    else if (iPreco <= 423400) { return 23; }
    else if (iPreco <= 461000) { return 24; }
    else if (iPreco <= 500200) { return 25; }
    else if (iPreco <= 541000) { return 26; }
    else if (iPreco <= 583400) { return 27; }
    else if (iPreco <= 627400) { return 28; }
    else if (iPreco <= 673000) { return 29; }
    else if (iPreco <= 720200) { return 30; }
    else if (iPreco <= 769000) { return 31; }
    else if (iPreco <= 819400) { return 32; }
    else if (iPreco <= 871400) { return 33; }
    else if (iPreco <= 925000) { return 34; }
    else if (iPreco <= 980200) { return 35; }
    else if (iPreco <= 1037000) { return 36; }
    else if (iPreco <= 1095400) { return 37; }
    else if (iPreco <= 1155400) { return 38; }
    else if (iPreco <= 1217000) { return 39; }
    else if (iPreco <= 1280200) { return 40; }
    else if (iPreco <= 1345000) { return 41; }
    else if (iPreco <= 1411400) { return 42; }
    else if (iPreco <= 1479400) { return 43; }
    else if (iPreco <= 1549000) { return 44; }
    else if (iPreco <= 1620200) { return 45; }
    else if (iPreco <= 1693000) { return 46; }
    else if (iPreco <= 1767400) { return 47; }
    else if (iPreco <= 1843400) { return 48; }
    else if (iPreco <= 1921000) { return 49; }
    else if (iPreco <= 2000200) { return 50; }
    else if (iPreco <= 2081000) { return 51; }
    else if (iPreco <= 2163400) { return 52; }
    else if (iPreco <= 2247400) { return 53; }
    else if (iPreco <= 2333000) { return 54; }
    else if (iPreco <= 2420200) { return 55; }
    else if (iPreco <= 2509000) { return 56; }
    else if (iPreco <= 2599400) { return 57; }
    else if (iPreco <= 2691400) { return 58; }
    else if (iPreco <= 2785000) { return 59; }
    else if (iPreco <= 2880200) { return 60; }
    else if (iPreco <= 2977000) { return 61; }
    else if (iPreco <= 3075400) { return 62; }
    else if (iPreco <= 3175400) { return 63; }
    else if (iPreco <= 3277000) { return 64; }
    else if (iPreco <= 3380200) { return 65; }
    else if (iPreco <= 3485000) { return 66; }
    else if (iPreco <= 3591400) { return 67; }
    else if (iPreco <= 3699400) { return 68; }
    else if (iPreco <= 3809000) { return 69; }
    else if (iPreco <= 3920200) { return 70; }
    else if (iPreco <= 4033000) { return 71; }
    else if (iPreco <= 4147400) { return 72; }
    else if (iPreco <= 4263400) { return 73; }
    else if (iPreco <= 4381000) { return 74; }
    else if (iPreco <= 4500200) { return 75; }
    else if (iPreco <= 4621000) { return 76; }
    else if (iPreco <= 4743400) { return 77; }
    else if (iPreco <= 4867400) { return 78; }
    else if (iPreco <= 4993000) { return 79; }
    else if (iPreco <= 5120200) { return 80; }
    else if (iPreco <= 5249000) { return 81; }
    else if (iPreco <= 5379400) { return 82; }
    else if (iPreco <= 5511400) { return 83; }
    else if (iPreco <= 5645000) { return 84; }
    else if (iPreco <= 5780200) { return 85; }
    else if (iPreco <= 5917000) { return 86; }
    else if (iPreco <= 6055400) { return 87; }
    else if (iPreco <= 6195400) { return 88; }
    else if (iPreco <= 6337000) { return 89; }
    else if (iPreco <= 6480200) { return 90; }
    else if (iPreco <= 6625000) { return 91; }
    else if (iPreco <= 6771400) { return 92; }
    else if (iPreco <= 6919400) { return 93; }
    else if (iPreco <= 7069000) { return 94; }
    else if (iPreco <= 7220200) { return 95; }
    else if (iPreco <= 7373000) { return 96; }
    else if (iPreco <= 7527400) { return 97; }
    else if (iPreco <= 7683400) { return 98; }
    else if (iPreco <= 7841000) { return 99; }
    else if (iPreco <= 8000200) { return 100; }
    else if (iPreco <= 8161000) { return 101; }
    else if (iPreco <= 8323400) { return 102; }
    else if (iPreco <= 8487400) { return 103; }
    else if (iPreco <= 8653000) { return 104; }
    else if (iPreco <= 8820200) { return 105; }
    else if (iPreco <= 8989000) { return 106; }
    else if (iPreco <= 9159400) { return 107; }
    else if (iPreco <= 9331400) { return 108; }
    else if (iPreco <= 9505000) { return 109; }
    else if (iPreco <= 9680200) { return 110; }
    else if (iPreco <= 9857000) { return 111; }
    else if (iPreco <= 10035400) { return 112; }
    else if (iPreco <= 10215400) { return 113; }
    else if (iPreco <= 10397000) { return 114; }
    else if (iPreco <= 10580200) { return 115; }
    else if (iPreco <= 10765000) { return 116; }
    else if (iPreco <= 10951400) { return 117; }
    else if (iPreco <= 11139400) { return 118; }
    else if (iPreco <= 11329000) { return 119; }
    else if (iPreco <= 11520200) { return 120; }
    else if (iPreco <= 11713000) { return 121; }
    else if (iPreco <= 11907400) { return 122; }
    else if (iPreco <= 12103400) { return 123; }
    else if (iPreco <= 12301000) { return 124; }
    else if (iPreco <= 12500200) { return 125; }
    else if (iPreco <= 12701000) { return 126; }
    else if (iPreco <= 12903400) { return 127; }
    else if (iPreco <= 13107400) { return 128; }
    else if (iPreco <= 13313000) { return 129; }
    else if (iPreco <= 13520200) { return 130; }
    else if (iPreco <= 13729000) { return 131; }
    else if (iPreco <= 13939400) { return 132; }
    else if (iPreco <= 14151400) { return 133; }
    else if (iPreco <= 14365000) { return 134; }
    else if (iPreco <= 14580200) { return 135; }
    else if (iPreco <= 14797000) { return 136; }
    else if (iPreco <= 15015400) { return 137; }
    else if (iPreco <= 15235400) { return 138; }
    else if (iPreco <= 15457000) { return 139; }
    else if (iPreco <= 15680200) { return 140; }
    else if (iPreco <= 15905000) { return 141; }
    else if (iPreco <= 16131400) { return 142; }
    else if (iPreco <= 16359400) { return 143; }
    else if (iPreco <= 16589000) { return 144; }
    else if (iPreco <= 16820200) { return 145; }
    else if (iPreco <= 17053000) { return 146; }
    else if (iPreco <= 17287400) { return 147; }
    else if (iPreco <= 17523400) { return 148; }
    else if (iPreco <= 17761000) { return 149; }
    else if (iPreco <= 18000200) { return 150; }
    else if (iPreco <= 18241000) { return 151; }
    else if (iPreco <= 18483400) { return 152; }
    else if (iPreco <= 18727400) { return 153; }
    else if (iPreco <= 18973000) { return 154; }
    else if (iPreco <= 19220200) { return 155; }
    else if (iPreco <= 19469000) { return 156; }
    else if (iPreco <= 19719400) { return 157; }
    else if (iPreco <= 19971400) { return 158; }
    else if (iPreco <= 20225000) { return 159; }
    else if (iPreco <= 20480200) { return 160; }
    else if (iPreco <= 20737000) { return 161; }
    else if (iPreco <= 20995400) { return 162; }
    else if (iPreco <= 21255400) { return 163; }
    else if (iPreco <= 21517000) { return 164; }
    else if (iPreco <= 21780200) { return 165; }
    else if (iPreco <= 22045000) { return 166; }
    else if (iPreco <= 22311400) { return 167; }
    else if (iPreco <= 22579400) { return 168; }
    else if (iPreco <= 22849000) { return 169; }
    else if (iPreco <= 23120200) { return 170; }
    else if (iPreco <= 23393000) { return 171; }
    else if (iPreco <= 23667400) { return 172; }
    else if (iPreco <= 23943400) { return 173; }
    else if (iPreco <= 24221000) { return 174; }
    else if (iPreco <= 24500200) { return 175; }
    else if (iPreco <= 24781000) { return 176; }
    else if (iPreco <= 25063400) { return 177; }
    else if (iPreco <= 25347400) { return 178; }
    else if (iPreco <= 25633000) { return 179; }
    else if (iPreco <= 25920200) { return 180; }
    else if (iPreco <= 26209000) { return 181; }
    else if (iPreco <= 26499400) { return 182; }
    else if (iPreco <= 26791400) { return 183; }
    else if (iPreco <= 27085000) { return 184; }
    else if (iPreco <= 27380200) { return 185; }
    else if (iPreco <= 27677000) { return 186; }
    else if (iPreco <= 27975400) { return 187; }
    else if (iPreco <= 28275400) { return 188; }
    else if (iPreco <= 28577000) { return 189; }
    else if (iPreco <= 28880200) { return 190; }
    else if (iPreco <= 29185000) { return 191; }
    else if (iPreco <= 29491400) { return 192; }
    else if (iPreco <= 29799400) { return 193; }
    else if (iPreco <= 30109000) { return 194; }
    else if (iPreco <= 30420200) { return 195; }
    else if (iPreco <= 30733000) { return 196; }
    else if (iPreco <= 31047400) { return 197; }
    else if (iPreco <= 31363400) { return 198; }
    else if (iPreco <= 31681000) { return 199; }
    else if (iPreco <= 32000200) { return 200; }
    else if (iPreco <= 32321000) { return 201; }
    else if (iPreco <= 32643400) { return 202; }
    else if (iPreco <= 32967400) { return 203; }
    else if (iPreco <= 33293000) { return 204; }
    else if (iPreco <= 33620200) { return 205; }
    else if (iPreco <= 33949000) { return 206; }
    else if (iPreco <= 34279400) { return 207; }
    else if (iPreco <= 34611400) { return 208; }
    else if (iPreco <= 34945000) { return 209; }
    else if (iPreco <= 35280200) { return 210; }
    else if (iPreco <= 35617000) { return 211; }
    else if (iPreco <= 35955400) { return 212; }
    else if (iPreco <= 36295400) { return 213; }
    else if (iPreco <= 36637000) { return 214; }
    else if (iPreco <= 36980200) { return 215; }
    else if (iPreco <= 37325000) { return 216; }
    else if (iPreco <= 37671400) { return 217; }
    else if (iPreco <= 38019400) { return 218; }
    else if (iPreco <= 38369000) { return 219; }
    else if (iPreco <= 38720200) { return 220; }
    else if (iPreco <= 39073000) { return 221; }
    else if (iPreco <= 39427400) { return 222; }
    else if (iPreco <= 39783400) { return 223; }
    else if (iPreco <= 40141000) { return 224; }
    else if (iPreco <= 40500200) { return 225; }
    else if (iPreco <= 40861000) { return 226; }
    else if (iPreco <= 41223400) { return 227; }
    else if (iPreco <= 41587400) { return 228; }
    else if (iPreco <= 41953000) { return 229; }
    else if (iPreco <= 42320200) { return 230; }
    else if (iPreco <= 42689000) { return 231; }
    else if (iPreco <= 43059400) { return 232; }
    else if (iPreco <= 43431400) { return 233; }
    else if (iPreco <= 43805000) { return 234; }
    else if (iPreco <= 44180200) { return 235; }
    else if (iPreco <= 44557000) { return 236; }
    else if (iPreco <= 44935400) { return 237; }
    else if (iPreco <= 45315400) { return 238; }
    else if (iPreco <= 45697000) { return 239; }
    else if (iPreco <= 46080200) { return 240; }
    else if (iPreco <= 46465000) { return 241; }
    else if (iPreco <= 46851400) { return 242; }
    else if (iPreco <= 47239400) { return 243; }
    else if (iPreco <= 47629000) { return 244; }
    else if (iPreco <= 48020200) { return 245; }
    else if (iPreco <= 48413000) { return 246; }
    else if (iPreco <= 48807400) { return 247; }
    else if (iPreco <= 49203400) { return 248; }
    else if (iPreco <= 49601000) { return 249; }
    else if (iPreco <= 50000200) { return 250; }
    else if (iPreco <= 50401000) { return 251; }
    else if (iPreco <= 50803400) { return 252; }
    else if (iPreco <= 51207400) { return 253; }
    else if (iPreco <= 51613000) { return 254; }
    else if (iPreco <= 52020200) { return 255; }
    else if (iPreco <= 52429000) { return 256; }
    else if (iPreco <= 52839400) { return 257; }
    else if (iPreco <= 53251400) { return 258; }
    else if (iPreco <= 53665000) { return 259; }
    else if (iPreco <= 54080200) { return 260; }
    else if (iPreco <= 54497000) { return 261; }
    else if (iPreco <= 54915400) { return 262; }
    else if (iPreco <= 55335400) { return 263; }
    else if (iPreco <= 55757000) { return 264; }
    else if (iPreco <= 56180200) { return 265; }
    else if (iPreco <= 56605000) { return 266; }
    else if (iPreco <= 57031400) { return 267; }
    else if (iPreco <= 57459400) { return 268; }
    else if (iPreco <= 57889000) { return 269; }
    else if (iPreco <= 58320200) { return 270; }
    else if (iPreco <= 58753000) { return 271; }
    else if (iPreco <= 59187400) { return 272; }
    else if (iPreco <= 59623400) { return 273; }
    else if (iPreco <= 60061000) { return 274; }
    else if (iPreco <= 60500200) { return 275; }
    else if (iPreco <= 60941000) { return 276; }
    else if (iPreco <= 61383400) { return 277; }
    else if (iPreco <= 61827400) { return 278; }
    else if (iPreco <= 62273000) { return 279; }
    else if (iPreco <= 62720200) { return 280; }
    else if (iPreco <= 63169000) { return 281; }
    else if (iPreco <= 63619400) { return 282; }
    else if (iPreco <= 64071400) { return 283; }
    else if (iPreco <= 64525000) { return 284; }
    else if (iPreco <= 64980200) { return 285; }
    else if (iPreco <= 65437000) { return 286; }
    else if (iPreco <= 65895400) { return 287; }
    else if (iPreco <= 66355400) { return 288; }
    else if (iPreco <= 66817000) { return 289; }
    else if (iPreco <= 67280200) { return 290; }
    else if (iPreco <= 67745000) { return 291; }
    else if (iPreco <= 68211400) { return 292; }
    else if (iPreco <= 68679400) { return 293; }
    else if (iPreco <= 69149000) { return 294; }
    else if (iPreco <= 69620200) { return 295; }
    else if (iPreco <= 70093000) { return 296; }
    else if (iPreco <= 70567400) { return 297; }
    else if (iPreco <= 71043400) { return 298; }
    else if (iPreco <= 71521000) { return 299; }
    else if (iPreco <= 72000200) { return 300; }
    else if (iPreco <= 72481000) { return 301; }
    else if (iPreco <= 72963400) { return 302; }
    else if (iPreco <= 73447400) { return 303; }
    else if (iPreco <= 73933000) { return 304; }
    else if (iPreco <= 74420200) { return 305; }
    else if (iPreco <= 74909000) { return 306; }
    else if (iPreco <= 75399400) { return 307; }
    else if (iPreco <= 75891400) { return 308; }
    else if (iPreco <= 76385000) { return 309; }
    else if (iPreco <= 76880200) { return 310; }
    else if (iPreco <= 77377000) { return 311; }
    else if (iPreco <= 77875400) { return 312; }
    else if (iPreco <= 78375400) { return 313; }
    else if (iPreco <= 78877000) { return 314; }
    else if (iPreco <= 79380200) { return 315; }
    else if (iPreco <= 79885000) { return 316; }
    else if (iPreco <= 80391400) { return 317; }
    else if (iPreco <= 80899400) { return 318; }
    else if (iPreco <= 81409000) { return 319; }
    else if (iPreco <= 81920200) { return 320; }
    else if (iPreco <= 82433000) { return 321; }
    else if (iPreco <= 82947400) { return 322; }
    else if (iPreco <= 83463400) { return 323; }
    else if (iPreco <= 83981000) { return 324; }
    else if (iPreco <= 84500200) { return 325; }
    else if (iPreco <= 85021000) { return 326; }
    else if (iPreco <= 85543400) { return 327; }
    else if (iPreco <= 86067400) { return 328; }
    else if (iPreco <= 86593000) { return 329; }
    else if (iPreco <= 87120200) { return 330; }
    else if (iPreco <= 87649000) { return 331; }
    else if (iPreco <= 88179400) { return 332; }
    else if (iPreco <= 88711400) { return 333; }
    else if (iPreco <= 89245000) { return 334; }
    else if (iPreco <= 89780200) { return 335; }
    else if (iPreco <= 90317000) { return 336; }
    else if (iPreco <= 90855400) { return 337; }
    else if (iPreco <= 91395400) { return 338; }
    else if (iPreco <= 91937000) { return 339; }
    else if (iPreco <= 92480200) { return 340; }
    else if (iPreco <= 93025000) { return 341; }
    else if (iPreco <= 93571400) { return 342; }
    else if (iPreco <= 94119400) { return 343; }
    else if (iPreco <= 94669000) { return 344; }
    else if (iPreco <= 95220200) { return 345; }
    else if (iPreco <= 95773000) { return 346; }
    else if (iPreco <= 96327400) { return 347; }
    else if (iPreco <= 96883400) { return 348; }
    else if (iPreco <= 97441000) { return 349; }
    else if (iPreco <= 98000200) { return 350; }
    else if (iPreco <= 98561000) { return 351; }
    else if (iPreco <= 99123400) { return 352; }
    else if (iPreco <= 99687400) { return 353; }
    else if (iPreco <= 100253000) { return 354; }
    else if (iPreco <= 100820200) { return 355; }
    else if (iPreco <= 101389000) { return 356; }
    else if (iPreco <= 101959400) { return 357; }
    else if (iPreco <= 102531400) { return 358; }
    else if (iPreco <= 103105000) { return 359; }
    else if (iPreco <= 103680200) { return 360; }
    else if (iPreco <= 104257000) { return 361; }
    else if (iPreco <= 104835400) { return 362; }
    else if (iPreco <= 105415400) { return 363; }
    else if (iPreco <= 105997000) { return 364; }
    else if (iPreco <= 106580200) { return 365; }
    else if (iPreco <= 107165000) { return 366; }
    else if (iPreco <= 107751400) { return 367; }
    else if (iPreco <= 108339400) { return 368; }
    else if (iPreco <= 108929000) { return 369; }
    else if (iPreco <= 109520200) { return 370; }
    else if (iPreco <= 110113000) { return 371; }
    else if (iPreco <= 110707400) { return 372; }
    else if (iPreco <= 111303400) { return 373; }
    else if (iPreco <= 111901000) { return 374; }
    else if (iPreco <= 112500200) { return 375; }
    else if (iPreco <= 113101000) { return 376; }
    else if (iPreco <= 113703400) { return 377; }
    else if (iPreco <= 114307400) { return 378; }
    else if (iPreco <= 114913000) { return 379; }
    else if (iPreco <= 115520200) { return 380; }
    else if (iPreco <= 116129000) { return 381; }
    else if (iPreco <= 116739400) { return 382; }
    else if (iPreco <= 117351400) { return 383; }
    else if (iPreco <= 117965000) { return 384; }
    else if (iPreco <= 118580200) { return 385; }
    else if (iPreco <= 119197000) { return 386; }
    else if (iPreco <= 119815400) { return 387; }
    else if (iPreco <= 120435400) { return 388; }
    else if (iPreco <= 121057000) { return 389; }
    else if (iPreco <= 121680200) { return 390; }
    else if (iPreco <= 122305000) { return 391; }
    else if (iPreco <= 122931400) { return 392; }
    else if (iPreco <= 123559400) { return 393; }
    else if (iPreco <= 124189000) { return 394; }
    else if (iPreco <= 124820200) { return 395; }
    else if (iPreco <= 125453000) { return 396; }
    else if (iPreco <= 126087400) { return 397; }
    else if (iPreco <= 126723400) { return 398; }
    else if (iPreco <= 127361000) { return 399; }
    else if (iPreco <= 128000200) { return 400; }
    else if (iPreco <= 128641000) { return 401; }
    else if (iPreco <= 129283400) { return 402; }
    else if (iPreco <= 129927400) { return 403; }
    else if (iPreco <= 130573000) { return 404; }
    else if (iPreco <= 131220200) { return 405; }
    else if (iPreco <= 131869000) { return 406; }
    else if (iPreco <= 132519400) { return 407; }
    else if (iPreco <= 133171400) { return 408; }
    else if (iPreco <= 133825000) { return 409; }
    else if (iPreco <= 134480200) { return 410; }
    else if (iPreco <= 135137000) { return 411; }
    else if (iPreco <= 135795400) { return 412; }
    else if (iPreco <= 136455400) { return 413; }
    else if (iPreco <= 137117000) { return 414; }
    else if (iPreco <= 137780200) { return 415; }
    else if (iPreco <= 138445000) { return 416; }
    else if (iPreco <= 139111400) { return 417; }
    else if (iPreco <= 139779400) { return 418; }
    else if (iPreco <= 140449000) { return 419; }
    else if (iPreco <= 141120200) { return 420; }
    else if (iPreco <= 141793000) { return 421; }
    else if (iPreco <= 142467400) { return 422; }
    else if (iPreco <= 143143400) { return 423; }
    else if (iPreco <= 143821000) { return 424; }
    else if (iPreco <= 144500200) { return 425; }
    else if (iPreco <= 145181000) { return 426; }
    else if (iPreco <= 145863400) { return 427; }
    else if (iPreco <= 146547400) { return 428; }
    else if (iPreco <= 147233000) { return 429; }
    else if (iPreco <= 147920200) { return 430; }
    else if (iPreco <= 148609000) { return 431; }
    else if (iPreco <= 149299400) { return 432; }
    else if (iPreco <= 149991400) { return 433; }
    else if (iPreco <= 150685000) { return 434; }
    else if (iPreco <= 151380200) { return 435; }
    else if (iPreco <= 152077000) { return 436; }
    else if (iPreco <= 152775400) { return 437; }
    else if (iPreco <= 153475400) { return 438; }
    else if (iPreco <= 154177000) { return 439; }
    else if (iPreco <= 154880200) { return 440; }
    else if (iPreco <= 155585000) { return 441; }
    else if (iPreco <= 156291400) { return 442; }
    else if (iPreco <= 156999400) { return 443; }
    else if (iPreco <= 157709000) { return 444; }
    else if (iPreco <= 158420200) { return 445; }
    else if (iPreco <= 159133000) { return 446; }
    else if (iPreco <= 159847400) { return 447; }
    else if (iPreco <= 160563400) { return 448; }
    else if (iPreco <= 161281000) { return 449; }
    else if (iPreco <= 162000200) { return 450; }
    else if (iPreco <= 162721000) { return 451; }
    else if (iPreco <= 163443400) { return 452; }
    else if (iPreco <= 164167400) { return 453; }
    else if (iPreco <= 164893000) { return 454; }
    else if (iPreco <= 165620200) { return 455; }
    else if (iPreco <= 166349000) { return 456; }
    else if (iPreco <= 167079400) { return 457; }
    else if (iPreco <= 167811400) { return 458; }
    else if (iPreco <= 168545000) { return 459; }
    else if (iPreco <= 169280200) { return 460; }
    else if (iPreco <= 170017000) { return 461; }
    else if (iPreco <= 170755400) { return 462; }
    else if (iPreco <= 171495400) { return 463; }
    else if (iPreco <= 172237000) { return 464; }
    else if (iPreco <= 172980200) { return 465; }
    else if (iPreco <= 173725000) { return 466; }
    else if (iPreco <= 174471400) { return 467; }
    else if (iPreco <= 175219400) { return 468; }
    else if (iPreco <= 175969000) { return 469; }
    else if (iPreco <= 176720200) { return 470; }
    else if (iPreco <= 177473000) { return 471; }
    else if (iPreco <= 178227400) { return 472; }
    else if (iPreco <= 178983400) { return 473; }
    else if (iPreco <= 179741000) { return 474; }
    else if (iPreco <= 180500200) { return 475; }
    else if (iPreco <= 181261000) { return 476; }
    else if (iPreco <= 182023400) { return 477; }
    else if (iPreco <= 182787400) { return 478; }
    else if (iPreco <= 183553000) { return 479; }
    else if (iPreco <= 184320200) { return 480; }
    else if (iPreco <= 185089000) { return 481; }
    else if (iPreco <= 185859400) { return 482; }
    else if (iPreco <= 186631400) { return 483; }
    else if (iPreco <= 187405000) { return 484; }
    else if (iPreco <= 188180200) { return 485; }
    else if (iPreco <= 188957000) { return 486; }
    else if (iPreco <= 189735400) { return 487; }
    else if (iPreco <= 190515400) { return 488; }
    else if (iPreco <= 191297000) { return 489; }
    else if (iPreco <= 192080200) { return 490; }
    else if (iPreco <= 192865000) { return 491; }
    else if (iPreco <= 193651400) { return 492; }
    else if (iPreco <= 194439400) { return 493; }
    else if (iPreco <= 195229000) { return 494; }
    else if (iPreco <= 196020200) { return 495; }
    else if (iPreco <= 196813000) { return 496; }
    else if (iPreco <= 197607400) { return 497; }
    else if (iPreco <= 198403400) { return 498; }
    else if (iPreco <= 199201000) { return 499; }
    else if (iPreco <= 200000200) { return 500; }
    else if (iPreco <= 200801000) { return 501; }
    else if (iPreco <= 201603400) { return 502; }
    else if (iPreco <= 202407400) { return 503; }
    else if (iPreco <= 203213000) { return 504; }
    else if (iPreco <= 204020200) { return 505; }
    else if (iPreco <= 204829000) { return 506; }
    else if (iPreco <= 205639400) { return 507; }
    else if (iPreco <= 206451400) { return 508; }
    else if (iPreco <= 207265000) { return 509; }
    else if (iPreco <= 208080200) { return 510; }
    else if (iPreco <= 208897000) { return 511; }
    else if (iPreco <= 209715400) { return 512; }
    else if (iPreco <= 210535400) { return 513; }
    else if (iPreco <= 211357000) { return 514; }
    else if (iPreco <= 212180200) { return 515; }
    else if (iPreco <= 213005000) { return 516; }
    else if (iPreco <= 213831400) { return 517; }
    else if (iPreco <= 214659400) { return 518; }
    else if (iPreco <= 215489000) { return 519; }
    else if (iPreco <= 216320200) { return 520; }
    else if (iPreco <= 217153000) { return 521; }
    else if (iPreco <= 217987400) { return 522; }
    else if (iPreco <= 218823400) { return 523; }
    else if (iPreco <= 219661000) { return 524; }
    else if (iPreco <= 220500200) { return 525; }
    else if (iPreco <= 221341000) { return 526; }
    else if (iPreco <= 222183400) { return 527; }
    else if (iPreco <= 223027400) { return 528; }
    else if (iPreco <= 223873000) { return 529; }
    else if (iPreco <= 224720200) { return 530; }
    else if (iPreco <= 225569000) { return 531; }
    else if (iPreco <= 226419400) { return 532; }
    else if (iPreco <= 227271400) { return 533; }
    else if (iPreco <= 228125000) { return 534; }
    else if (iPreco <= 228980200) { return 535; }
    else if (iPreco <= 229837000) { return 536; }
    else if (iPreco <= 230695400) { return 537; }
    else if (iPreco <= 231555400) { return 538; }
    else if (iPreco <= 232417000) { return 539; }
    else if (iPreco <= 233280200) { return 540; }
    else if (iPreco <= 234145000) { return 541; }
    else if (iPreco <= 235011400) { return 542; }
    else if (iPreco <= 235879400) { return 543; }
    else if (iPreco <= 236749000) { return 544; }
    else if (iPreco <= 237620200) { return 545; }
    else if (iPreco <= 238493000) { return 546; }
    else if (iPreco <= 239367400) { return 547; }
    else if (iPreco <= 240243400) { return 548; }
    else if (iPreco <= 241121000) { return 549; }
    else if (iPreco <= 242000200) { return 550; }
    else if (iPreco <= 242881000) { return 551; }
    else if (iPreco <= 243763400) { return 552; }
    else if (iPreco <= 244647400) { return 553; }
    else if (iPreco <= 245533000) { return 554; }
    else if (iPreco <= 246420200) { return 555; }
    else if (iPreco <= 247309000) { return 556; }
    else if (iPreco <= 248199400) { return 557; }
    else if (iPreco <= 249091400) { return 558; }
    else if (iPreco <= 249985000) { return 559; }
    else if (iPreco <= 250880200) { return 560; }
    else if (iPreco <= 251777000) { return 561; }
    else if (iPreco <= 252675400) { return 562; }
    else if (iPreco <= 253575400) { return 563; }
    else if (iPreco <= 254477000) { return 564; }
    else if (iPreco <= 255380200) { return 565; }
    else if (iPreco <= 256285000) { return 566; }
    else if (iPreco <= 257191400) { return 567; }
    else if (iPreco <= 258099400) { return 568; }
    else if (iPreco <= 259009000) { return 569; }
    else if (iPreco <= 259920200) { return 570; }
    else if (iPreco <= 260833000) { return 571; }
    else if (iPreco <= 261747400) { return 572; }
    else if (iPreco <= 262663400) { return 573; }
    else if (iPreco <= 263581000) { return 574; }
    else if (iPreco <= 264500200) { return 575; }
    else if (iPreco <= 265421000) { return 576; }
    else if (iPreco <= 266343400) { return 577; }
    else if (iPreco <= 267267400) { return 578; }
    else if (iPreco <= 268193000) { return 579; }
    else if (iPreco <= 269120200) { return 580; }
    else if (iPreco <= 270049000) { return 581; }
    else if (iPreco <= 270979400) { return 582; }
    else if (iPreco <= 271911400) { return 583; }
    else if (iPreco <= 272845000) { return 584; }
    else if (iPreco <= 273780200) { return 585; }
    else if (iPreco <= 274717000) { return 586; }
    else if (iPreco <= 275655400) { return 587; }
    else if (iPreco <= 276595400) { return 588; }
    else if (iPreco <= 277537000) { return 589; }
    else if (iPreco <= 278480200) { return 590; }
    else if (iPreco <= 279425000) { return 591; }
    else if (iPreco <= 280371400) { return 592; }
    else if (iPreco <= 281319400) { return 593; }
    else if (iPreco <= 282269000) { return 594; }
    else if (iPreco <= 283220200) { return 595; }
    else if (iPreco <= 284173000) { return 596; }
    else if (iPreco <= 285127400) { return 597; }
    else if (iPreco <= 286083400) { return 598; }
    else if (iPreco <= 287041000) { return 599; }
    else if (iPreco <= 288000200) { return 600; }
    else if (iPreco <= 288961000) { return 601; }
    else if (iPreco <= 289923400) { return 602; }
    else if (iPreco <= 290887400) { return 603; }
    else if (iPreco <= 291853000) { return 604; }
    else if (iPreco <= 292820200) { return 605; }
    else if (iPreco <= 293789000) { return 606; }
    else if (iPreco <= 294759400) { return 607; }
    else if (iPreco <= 295731400) { return 608; }
    else if (iPreco <= 296705000) { return 609; }
    else if (iPreco <= 297680200) { return 610; }
    else if (iPreco <= 298657000) { return 611; }
    else if (iPreco <= 299635400) { return 612; }
    else if (iPreco <= 300615400) { return 613; }
    else if (iPreco <= 301597000) { return 614; }
    else if (iPreco <= 302580200) { return 615; }
    else if (iPreco <= 303565000) { return 616; }
    else if (iPreco <= 304551400) { return 617; }
    else if (iPreco <= 305539400) { return 618; }
    else if (iPreco <= 306529000) { return 619; }
    else if (iPreco <= 307520200) { return 620; }
    else if (iPreco <= 308513000) { return 621; }
    else if (iPreco <= 309507400) { return 622; }
    else if (iPreco <= 310503400) { return 623; }
    else if (iPreco <= 311501000) { return 624; }
    else if (iPreco <= 312500200) { return 625; }
    else if (iPreco <= 313501000) { return 626; }
    else if (iPreco <= 314503400) { return 627; }
    else if (iPreco <= 315507400) { return 628; }
    else if (iPreco <= 316513000) { return 629; }
    else if (iPreco <= 317520200) { return 630; }
    else if (iPreco <= 318529000) { return 631; }
    else if (iPreco <= 319539400) { return 632; }
    else if (iPreco <= 320551400) { return 633; }
    else if (iPreco <= 321565000) { return 634; }
    else if (iPreco <= 322580200) { return 635; }
    else if (iPreco <= 323597000) { return 636; }
    else if (iPreco <= 324615400) { return 637; }
    else if (iPreco <= 325635400) { return 638; }
    else if (iPreco <= 326657000) { return 639; }
    else if (iPreco <= 327680200) { return 640; }
    else if (iPreco <= 328705000) { return 641; }
    else if (iPreco <= 329731400) { return 642; }
    else if (iPreco <= 330759400) { return 643; }
    else if (iPreco <= 331789000) { return 644; }
    else if (iPreco <= 332820200) { return 645; }
    else if (iPreco <= 333853000) { return 646; }
    else if (iPreco <= 334887400) { return 647; }
    else if (iPreco <= 335923400) { return 648; }
    else if (iPreco <= 336961000) { return 649; }
    else if (iPreco <= 338000200) { return 650; }
    else if (iPreco <= 339041000) { return 651; }
    else if (iPreco <= 340083400) { return 652; }
    else if (iPreco <= 341127400) { return 653; }
    else if (iPreco <= 342173000) { return 654; }
    else if (iPreco <= 343220200) { return 655; }
    else if (iPreco <= 344269000) { return 656; }
    else if (iPreco <= 345319400) { return 657; }
    else if (iPreco <= 346371400) { return 658; }
    else if (iPreco <= 347425000) { return 659; }
    else if (iPreco <= 348480200) { return 660; }
    else if (iPreco <= 349537000) { return 661; }
    else if (iPreco <= 350595400) { return 662; }
    else if (iPreco <= 351655400) { return 663; }
    else if (iPreco <= 352717000) { return 664; }
    else if (iPreco <= 353780200) { return 665; }
    else if (iPreco <= 354845000) { return 666; }
    else if (iPreco <= 355911400) { return 667; }
    else if (iPreco <= 356979400) { return 668; }
    else if (iPreco <= 358049000) { return 669; }
    else if (iPreco <= 359120200) { return 670; }
    else if (iPreco <= 360193000) { return 671; }
    else if (iPreco <= 361267400) { return 672; }
    else if (iPreco <= 362343400) { return 673; }
    else if (iPreco <= 363421000) { return 674; }
    else if (iPreco <= 364500200) { return 675; }
    else if (iPreco <= 365581000) { return 676; }
    else if (iPreco <= 366663400) { return 677; }
    else if (iPreco <= 367747400) { return 678; }
    else if (iPreco <= 368833000) { return 679; }
    else if (iPreco <= 369920200) { return 680; }
    else if (iPreco <= 371009000) { return 681; }
    else if (iPreco <= 372099400) { return 682; }
    else if (iPreco <= 373191400) { return 683; }
    else if (iPreco <= 374285000) { return 684; }
    else if (iPreco <= 375380200) { return 685; }
    else if (iPreco <= 376477000) { return 686; }
    else if (iPreco <= 377575400) { return 687; }
    else if (iPreco <= 378675400) { return 688; }
    else if (iPreco <= 379777000) { return 689; }
    else if (iPreco <= 380880200) { return 690; }
    else if (iPreco <= 381985000) { return 691; }
    else if (iPreco <= 383091400) { return 692; }
    else if (iPreco <= 384199400) { return 693; }
    else if (iPreco <= 385309000) { return 694; }
    else if (iPreco <= 386420200) { return 695; }
    else if (iPreco <= 387533000) { return 696; }
    else if (iPreco <= 388647400) { return 697; }
    else if (iPreco <= 389763400) { return 698; }
    else if (iPreco <= 390881000) { return 699; }
    else if (iPreco <= 392000200) { return 700; }
    else if (iPreco <= 393121000) { return 701; }
    else if (iPreco <= 394243400) { return 702; }
    else if (iPreco <= 395367400) { return 703; }
    else if (iPreco <= 396493000) { return 704; }
    else if (iPreco <= 397620200) { return 705; }
    else if (iPreco <= 398749000) { return 706; }
    else if (iPreco <= 399879400) { return 707; }
    else if (iPreco <= 401011400) { return 708; }
    else if (iPreco <= 402145000) { return 709; }
    else if (iPreco <= 403280200) { return 710; }
    else if (iPreco <= 404417000) { return 711; }
    else if (iPreco <= 405555400) { return 712; }
    else if (iPreco <= 406695400) { return 713; }
    else if (iPreco <= 407837000) { return 714; }
    else if (iPreco <= 408980200) { return 715; }
    else if (iPreco <= 410125000) { return 716; }
    else if (iPreco <= 411271400) { return 717; }
    else if (iPreco <= 412419400) { return 718; }
    else if (iPreco <= 413569000) { return 719; }
    else if (iPreco <= 414720200) { return 720; }
    else if (iPreco <= 415873000) { return 721; }
    else if (iPreco <= 417027400) { return 722; }
    else if (iPreco <= 418183400) { return 723; }
    else if (iPreco <= 419341000) { return 724; }
    else if (iPreco <= 420500200) { return 725; }
    else if (iPreco <= 421661000) { return 726; }
    else if (iPreco <= 422823400) { return 727; }
    else if (iPreco <= 423987400) { return 728; }
    else if (iPreco <= 425153000) { return 729; }
    else if (iPreco <= 426320200) { return 730; }
    else if (iPreco <= 427489000) { return 731; }
    else if (iPreco <= 428659400) { return 732; }
    else if (iPreco <= 429831400) { return 733; }
    else if (iPreco <= 431005000) { return 734; }
    else if (iPreco <= 432180200) { return 735; }
    else if (iPreco <= 433357000) { return 736; }
    else if (iPreco <= 434535400) { return 737; }
    else if (iPreco <= 435715400) { return 738; }
    else if (iPreco <= 436897000) { return 739; }
    else if (iPreco <= 438080200) { return 740; }
    else if (iPreco <= 439265000) { return 741; }
    else if (iPreco <= 440451400) { return 742; }
    else if (iPreco <= 441639400) { return 743; }
    else if (iPreco <= 442829000) { return 744; }
    else if (iPreco <= 444020200) { return 745; }
    else if (iPreco <= 445213000) { return 746; }
    else if (iPreco <= 446407400) { return 747; }
    else if (iPreco <= 447603400) { return 748; }
    else if (iPreco <= 448801000) { return 749; }
    else if (iPreco <= 450000200) { return 750; }
    else if (iPreco <= 451201000) { return 751; }
    else if (iPreco <= 452403400) { return 752; }
    else if (iPreco <= 453607400) { return 753; }
    else if (iPreco <= 454813000) { return 754; }
    else if (iPreco <= 456020200) { return 755; }
    else if (iPreco <= 457229000) { return 756; }
    else if (iPreco <= 458439400) { return 757; }
    else if (iPreco <= 459651400) { return 758; }
    else if (iPreco <= 460865000) { return 759; }
    else if (iPreco <= 462080200) { return 760; }
    else if (iPreco <= 463297000) { return 761; }
    else if (iPreco <= 464515400) { return 762; }
    else if (iPreco <= 465735400) { return 763; }
    else if (iPreco <= 466957000) { return 764; }
    else if (iPreco <= 468180200) { return 765; }
    else if (iPreco <= 469405000) { return 766; }
    else if (iPreco <= 470631400) { return 767; }
    else if (iPreco <= 471859400) { return 768; }
    else if (iPreco <= 473089000) { return 769; }
    else if (iPreco <= 474320200) { return 770; }
    else if (iPreco <= 475553000) { return 771; }
    else if (iPreco <= 476787400) { return 772; }
    else if (iPreco <= 478023400) { return 773; }
    else if (iPreco <= 479261000) { return 774; }
    else if (iPreco <= 480500200) { return 775; }
    else if (iPreco <= 481741000) { return 776; }
    else if (iPreco <= 482983400) { return 777; }
    else if (iPreco <= 484227400) { return 778; }
    else if (iPreco <= 485473000) { return 779; }
    else if (iPreco <= 486720200) { return 780; }
    else if (iPreco <= 487969000) { return 781; }
    else if (iPreco <= 489219400) { return 782; }
    else if (iPreco <= 490471400) { return 783; }
    else if (iPreco <= 491725000) { return 784; }
    else if (iPreco <= 492980200) { return 785; }
    else if (iPreco <= 494237000) { return 786; }
    else if (iPreco <= 495495400) { return 787; }
    else if (iPreco <= 496755400) { return 788; }
    else if (iPreco <= 498017000) { return 789; }
    else if (iPreco <= 499280200) { return 790; }
    else if (iPreco <= 500545000) { return 791; }
    else if (iPreco <= 501811400) { return 792; }
    else if (iPreco <= 503079400) { return 793; }
    else if (iPreco <= 504349000) { return 794; }
    else if (iPreco <= 505620200) { return 795; }
    else if (iPreco <= 506893000) { return 796; }
    else if (iPreco <= 508167400) { return 797; }
    else if (iPreco <= 509443400) { return 798; }
    else if (iPreco <= 510721000) { return 799; }
    else if (iPreco <= 512000200) { return 800; }
    else if (iPreco <= 513281000) { return 801; }
    else if (iPreco <= 514563400) { return 802; }
    else if (iPreco <= 515847400) { return 803; }
    else if (iPreco <= 517133000) { return 804; }
    else if (iPreco <= 518420200) { return 805; }
    else if (iPreco <= 519709000) { return 806; }
    else if (iPreco <= 520999400) { return 807; }
    else if (iPreco <= 522291400) { return 808; }
    else if (iPreco <= 523585000) { return 809; }
    else if (iPreco <= 524880200) { return 810; }
    else if (iPreco <= 526177000) { return 811; }
    else if (iPreco <= 527475400) { return 812; }
    else if (iPreco <= 528775400) { return 813; }
    else if (iPreco <= 530077000) { return 814; }
    else if (iPreco <= 531380200) { return 815; }
    else if (iPreco <= 532685000) { return 816; }
    else if (iPreco <= 533991400) { return 817; }
    else if (iPreco <= 535299400) { return 818; }
    else if (iPreco <= 536609000) { return 819; }
    else if (iPreco <= 537920200) { return 820; }
    else if (iPreco <= 539233000) { return 821; }
    else if (iPreco <= 540547400) { return 822; }
    else if (iPreco <= 541863400) { return 823; }
    else if (iPreco <= 543181000) { return 824; }
    else if (iPreco <= 544500200) { return 825; }
    else if (iPreco <= 545821000) { return 826; }
    else if (iPreco <= 547143400) { return 827; }
    else if (iPreco <= 548467400) { return 828; }
    else if (iPreco <= 549793000) { return 829; }
    else if (iPreco <= 551120200) { return 830; }
    else if (iPreco <= 552449000) { return 831; }
    else if (iPreco <= 553779400) { return 832; }
    else if (iPreco <= 555111400) { return 833; }
    else if (iPreco <= 556445000) { return 834; }
    else if (iPreco <= 557780200) { return 835; }
    else if (iPreco <= 559117000) { return 836; }
    else if (iPreco <= 560455400) { return 837; }
    else if (iPreco <= 561795400) { return 838; }
    else if (iPreco <= 563137000) { return 839; }
    else if (iPreco <= 564480200) { return 840; }
    else if (iPreco <= 565825000) { return 841; }
    else if (iPreco <= 567171400) { return 842; }
    else if (iPreco <= 568519400) { return 843; }
    else if (iPreco <= 569869000) { return 844; }
    else if (iPreco <= 571220200) { return 845; }
    else if (iPreco <= 572573000) { return 846; }
    else if (iPreco <= 573927400) { return 847; }
    else if (iPreco <= 575283400) { return 848; }
    else if (iPreco <= 576641000) { return 849; }
    else if (iPreco <= 578000200) { return 850; }
    else if (iPreco <= 579361000) { return 851; }
    else if (iPreco <= 580723400) { return 852; }
    else if (iPreco <= 582087400) { return 853; }
    else if (iPreco <= 583453000) { return 854; }
    else if (iPreco <= 584820200) { return 855; }
    else if (iPreco <= 586189000) { return 856; }
    else if (iPreco <= 587559400) { return 857; }
    else if (iPreco <= 588931400) { return 858; }
    else if (iPreco <= 590305000) { return 859; }
    else if (iPreco <= 591680200) { return 860; }
    else if (iPreco <= 593057000) { return 861; }
    else if (iPreco <= 594435400) { return 862; }
    else if (iPreco <= 595815400) { return 863; }
    else if (iPreco <= 597197000) { return 864; }
    else if (iPreco <= 598580200) { return 865; }
    else if (iPreco <= 599965000) { return 866; }
    else if (iPreco <= 601351400) { return 867; }
    else if (iPreco <= 602739400) { return 868; }
    else if (iPreco <= 604129000) { return 869; }
    else if (iPreco <= 605520200) { return 870; }
    else if (iPreco <= 606913000) { return 871; }
    else if (iPreco <= 608307400) { return 872; }
    else if (iPreco <= 609703400) { return 873; }
    else if (iPreco <= 611101000) { return 874; }
    else if (iPreco <= 612500200) { return 875; }
    else if (iPreco <= 613901000) { return 876; }
    else if (iPreco <= 615303400) { return 877; }
    else if (iPreco <= 616707400) { return 878; }
    else if (iPreco <= 618113000) { return 879; }
    else if (iPreco <= 619520200) { return 880; }
    else if (iPreco <= 620929000) { return 881; }
    else if (iPreco <= 622339400) { return 882; }
    else if (iPreco <= 623751400) { return 883; }
    else if (iPreco <= 625165000) { return 884; }
    else if (iPreco <= 626580200) { return 885; }
    else if (iPreco <= 627997000) { return 886; }
    else if (iPreco <= 629415400) { return 887; }
    else if (iPreco <= 630835400) { return 888; }
    else if (iPreco <= 632257000) { return 889; }
    else if (iPreco <= 633680200) { return 890; }
    else if (iPreco <= 635105000) { return 891; }
    else if (iPreco <= 636531400) { return 892; }
    else if (iPreco <= 637959400) { return 893; }
    else if (iPreco <= 639389000) { return 894; }
    else if (iPreco <= 640820200) { return 895; }
    else if (iPreco <= 642253000) { return 896; }
    else if (iPreco <= 643687400) { return 897; }
    else if (iPreco <= 645123400) { return 898; }
    else if (iPreco <= 646561000) { return 899; }
    else if (iPreco <= 648000200) { return 900; }
    else if (iPreco <= 649441000) { return 901; }
    else if (iPreco <= 650883400) { return 902; }
    else if (iPreco <= 652327400) { return 903; }
    else if (iPreco <= 653773000) { return 904; }
    else if (iPreco <= 655220200) { return 905; }
    else if (iPreco <= 656669000) { return 906; }
    else if (iPreco <= 658119400) { return 907; }
    else if (iPreco <= 659571400) { return 908; }
    else if (iPreco <= 661025000) { return 909; }
    else if (iPreco <= 662480200) { return 910; }
    else if (iPreco <= 663937000) { return 911; }
    else if (iPreco <= 665395400) { return 912; }
    else if (iPreco <= 666855400) { return 913; }
    else if (iPreco <= 668317000) { return 914; }
    else if (iPreco <= 669780200) { return 915; }
    else if (iPreco <= 671245000) { return 916; }
    else if (iPreco <= 672711400) { return 917; }
    else if (iPreco <= 674179400) { return 918; }
    else if (iPreco <= 675649000) { return 919; }
    else if (iPreco <= 677120200) { return 920; }
    else if (iPreco <= 678593000) { return 921; }
    else if (iPreco <= 680067400) { return 922; }
    else if (iPreco <= 681543400) { return 923; }
    else if (iPreco <= 683021000) { return 924; }
    else if (iPreco <= 684500200) { return 925; }
    else if (iPreco <= 685981000) { return 926; }
    else if (iPreco <= 687463400) { return 927; }
    else if (iPreco <= 688947400) { return 928; }
    else if (iPreco <= 690433000) { return 929; }
    else if (iPreco <= 691920200) { return 930; }
    else if (iPreco <= 693409000) { return 931; }
    else if (iPreco <= 694899400) { return 932; }
    else if (iPreco <= 696391400) { return 933; }
    else if (iPreco <= 697885000) { return 934; }
    else if (iPreco <= 699380200) { return 935; }
    else if (iPreco <= 700877000) { return 936; }
    else if (iPreco <= 702375400) { return 937; }
    else if (iPreco <= 703875400) { return 938; }
    else if (iPreco <= 705377000) { return 939; }
    else if (iPreco <= 706880200) { return 940; }
    else if (iPreco <= 708385000) { return 941; }
    else if (iPreco <= 709891400) { return 942; }
    else if (iPreco <= 711399400) { return 943; }
    else if (iPreco <= 712909000) { return 944; }
    else if (iPreco <= 714420200) { return 945; }
    else if (iPreco <= 715933000) { return 946; }
    else if (iPreco <= 717447400) { return 947; }
    else if (iPreco <= 718963400) { return 948; }
    else if (iPreco <= 720481000) { return 949; }
    else if (iPreco <= 722000200) { return 950; }
    else if (iPreco <= 723521000) { return 951; }
    else if (iPreco <= 725043400) { return 952; }
    else if (iPreco <= 726567400) { return 953; }
    else if (iPreco <= 728093000) { return 954; }
    else if (iPreco <= 729620200) { return 955; }
    else if (iPreco <= 731149000) { return 956; }
    else if (iPreco <= 732679400) { return 957; }
    else if (iPreco <= 734211400) { return 958; }
    else if (iPreco <= 735745000) { return 959; }
    else if (iPreco <= 737280200) { return 960; }
    else if (iPreco <= 738817000) { return 961; }
    else if (iPreco <= 740355400) { return 962; }
    else if (iPreco <= 741895400) { return 963; }
    else if (iPreco <= 743437000) { return 964; }
    else if (iPreco <= 744980200) { return 965; }
    else if (iPreco <= 746525000) { return 966; }
    else if (iPreco <= 748071400) { return 967; }
    else if (iPreco <= 749619400) { return 968; }
    else if (iPreco <= 751169000) { return 969; }
    else if (iPreco <= 752720200) { return 970; }
    else if (iPreco <= 754273000) { return 971; }
    else if (iPreco <= 755827400) { return 972; }
    else if (iPreco <= 757383400) { return 973; }
    else if (iPreco <= 758941000) { return 974; }
    else if (iPreco <= 760500200) { return 975; }
    else if (iPreco <= 762061000) { return 976; }
    else if (iPreco <= 763623400) { return 977; }
    else if (iPreco <= 765187400) { return 978; }
    else if (iPreco <= 766753000) { return 979; }
    else if (iPreco <= 768320200) { return 980; }
    else if (iPreco <= 769889000) { return 981; }
    else if (iPreco <= 771459400) { return 982; }
    else if (iPreco <= 773031400) { return 983; }
    else if (iPreco <= 774605000) { return 984; }
    else if (iPreco <= 776180200) { return 985; }
    else if (iPreco <= 777757000) { return 986; }
    else if (iPreco <= 779335400) { return 987; }
    else if (iPreco <= 780915400) { return 988; }
    else if (iPreco <= 782497000) { return 989; }
    else if (iPreco <= 784080200) { return 990; }
    else if (iPreco <= 785665000) { return 991; }
    else if (iPreco <= 787251400) { return 992; }
    else if (iPreco <= 788839400) { return 993; }
    else if (iPreco <= 790429000) { return 994; }
    else if (iPreco <= 792020200) { return 995; }
    else if (iPreco <= 793613000) { return 996; }
    else if (iPreco <= 795207400) { return 997; }
    else if (iPreco <= 796803400) { return 998; }
    else if (iPreco <= 798401000) { return 999; }
    else /*if (iPreco <= 800000200)*/ { return 1000; }

/*
    SISTEMA TRADICIONAL DE CALCULO DE NIVEL DE ITEM

    if (iPreco <= 1000) { return 1; }
    else if (iPreco <= 1500) { return 2; }
    else if (iPreco <= 2500) { return 3; }
    else if (iPreco <= 3500) { return 4; }
    else if (iPreco <= 5000) { return 5; }
    else if (iPreco <= 6500) { return 6; }
    else if (iPreco <= 9000) { return 7; }
    else if (iPreco <= 12000) { return 8; }
    else if (iPreco <= 15000) { return 9; }
    else if (iPreco <= 19500) { return 10; }
    else if (iPreco <= 25000) { return 11; }
    else if (iPreco <= 30000) { return 12; }
    else if (iPreco <= 35000) { return 13; }
    else if (iPreco <= 40000) { return 14; }
    else if (iPreco <= 50000) { return 15; }
    else if (iPreco <= 65000) { return 16; }
    else if (iPreco <= 75000) { return 17; }
    else if (iPreco <= 90000) { return 18; }
    else if (iPreco <= 110000) { return 19; }
    else if (iPreco <= 130000) { return 20; }
    else if (iPreco <= 250000) { return 21; }
    else if (iPreco <= 500000) { return 22; }
    else if (iPreco <= 750000) { return 23; }
    else {

        int iCalculador = (((iPreco - 1000000) / 200000) + 24);

        if (NIVEL_MAXIMO_PERMITIDO < iCalculador)
        {
            return NIVEL_MAXIMO_PERMITIDO;
        }
        else
        {
            return iCalculador;
        }
    }
*/
}
//******************************************************************************

//******************************************************************************
int ObterNivelItem(object oItem)
{
    return ConverterPrecoNivelItem(GetGoldPieceValue(oItem));
}
//atualizado abaixo
/*int ObterNivelItem(object oItem)
{
    int iNivel = NIVELConverterPrecoNivelItem( GetGoldPieceValue( oItem ) );
    if ( !( IPGetIsBludgeoningWeapon( oItem ) || IPGetIsMeleeWeapon( oItem ) ||
        IPGetIsRangedWeapon( oItem ) ) )
    {
        iNivel *= NIVEL_CONSTANTE;
    }
    return iNivel;
}*/
//******************************************************************************

//******************************************************************************
int ObterExperienciaItem(object oItem)
{
    return ObterExperienciaNivel(ObterNivelItem(oItem));
}
//******************************************************************************
