//Script Name: coloritemred
////////////////////////////////////////////////
//Created by: Genisys / Guile
//ON:   6/17/08
////////////////////////////////////////////////
/*          **Notes**

This script goes in the ActionTaken
event of the coloritemconv conversation
on the line which will turn the item targeted
to the proper color that matches this script's
name (ie coloritemwhite script goes on the line
which changes the color to white!)

**These PRCGetRGB(#,#,#) are the functions you use to get the proper
color for the token you are setting on the item name.**

    PRCGetRGB() := WHITE // no parameters, default is white
    PRCGetRGB(15,15,1):= YELLOW
    PRCGetRGB(15,5,1) := ORANGE
    PRCGetRGB(15,1,1) := RED
    PRCGetRGB(7,7,15) := BLUE
    PRCGetRGB(1,15,1) := NEON GREEN
    PRCGetRGB(1,11,1) := GREEN
    PRCGetRGB(9,6,1)  := BROWN
    PRCGetRGB(11,9,11):= LIGHT PURPLE
    PRCGetRGB(12,10,7):= TAN
    PRCGetRGB(8,1,8)  := PURPLE
    PRCGetRGB(13,9,13):= PLUM
    PRCGetRGB(1,7,7)  := TEAL
    PRCGetRGB(1,15,15):= CYAN
    PRCGetRGB(1,1,15) := BRIGHT BLUE
                                      */
////////////////////////////////////////////////

///PROTOTYPE///

//This color system is by Genji, w/ special thanks to
//ADAL-Miko & Rich Dersheimer for their help to Genji :)
string PRCGetRGB(int red = 15,int green = 15,int blue = 15);


//Main Script//

void main()
{

//Define Major Variables
object oPC = GetPCSpeaker();
string sName = GetLocalString(oPC, "ONNC");

//string sToken = PRCGetRGB(#,#,#);
//(This is the proper function you need to create below!)
string sToken = PRCGetRGB(15,1,1); //Red

string sMod;


//Let's make sure it doesn't already have a color on it!!!
if(GetStringLeft(sName, 2)=="<c")
{
//Get the original name without the color strings!
sMod = GetSubString(sName, 6, 40);
}
else
{
sMod = sName;
}
//The new name of item (Color + Original Name)
string sNew = sToken + sMod;

object oItem;

//Cycle through thier inventory to find the proper item(s)
oItem = GetFirstItemInInventory(oPC);
 while(GetIsObjectValid(oItem)==TRUE)
 {
 //Change all items with the same name
 if(GetName(oItem)==sName)
 //Change the name to include color..
 SetName(oItem, sNew);

 oItem = GetNextItemInInventory(oPC);
 }

DestroyObject(OBJECT_SELF, 2.0f);

//Remove the variables from the PC
DelayCommand(2.2, DeleteLocalString(oPC, "ONNC"));

//Main Script End
}

//Prototype String Defined
string PRCGetRGB(int red = 15,int green = 15,int blue = 15)
{
    object coloringBook = GetObjectByTag("ColoringBook");
    if (coloringBook == OBJECT_INVALID)
        coloringBook = CreateObject(OBJECT_TYPE_ITEM,"gen_coloringbook",GetLocation(GetWaypointByTag("dm_vault_drop")));
    string buffer = GetName(coloringBook);
    if(red > 15) red = 15; if(green > 15) green = 15; if(blue > 15) blue = 15;
    return "<c" + GetSubString(buffer, red - 1, 1) + GetSubString(buffer, green - 1, 1) + GetSubString(buffer, blue - 1, 1) +">";
}
