// Genji Include Color gen_inc_color
// first: 1-4-03

// requires a waypoint called "dm_vault_drop" in a dm only area,
// and genji's coloring book placeable "gen_coloringbook". Which should have been downloaded with this.

// --------------------------------------------------------------[ function prototypes ]

// simple function to use the name of a item holding escape sequences that, though they will not compile,
// they can be interpreted at run time and produce rbg scales between 32 and 255 in increments.
// -- allows 3375 colors to be made.
// for example SendMessageToPC(pc,PRCGetRGB(15,15,1)+ "Help, I'm on fire!") will produce yellow text.
// more examples:
/*
    PRCGetRGB() := WHITE // no parameters, default is white
    PRCGetRGB(15,15,1):= YELLOW
    PRCGetRGB(15,5,1) := ORANGE
    PRCGetRGB(15,1,1) := RED
    PRCGetRGB(7,7,15) := BLUE
    PRCGetRGB(1,15,1) := NEON GREEN
    PRCGetRGB(1,11,1) := GREEN
    PRCGetRGB(9,6,1)  := BROWN
    PRCGetRGB(11,9,11):= LIGHT PURPLE
    PRCGetRGB(12,10,7):= TAN
    PRCGetRGB(8,1,8)  := PURPLE
    PRCGetRGB(13,9,13):= PLUM
    PRCGetRGB(1,7,7)  := TEAL
    PRCGetRGB(1,15,15):= CYAN
    PRCGetRGB(1,1,15) := BRIGHT BLUE
*/
// issues? contact genji@thegenji.com
// special thanks to ADAL-Miko and Rich Dersheimer in the bio forums.
string GenjiGetRGB(int red = 15,int green = 15,int blue = 15);

// --------------------------------------------------------------[ function implementations ]
string GenjiGetRGB(int red = 15,int green = 15,int blue = 15)
{
    object o = GetWaypointByTag("ref_point");
    object coloringBook = GetNearestObjectByTag("ColoringBook", o);
    if (coloringBook == OBJECT_INVALID)
        coloringBook = CreateObject(OBJECT_TYPE_ITEM,"gen_coloringbook",GetLocation(GetWaypointByTag("dm_vault_drop")));
    string buffer = GetName(coloringBook);
    if(red > 15) red = 15; if(green > 15) green = 15; if(blue > 15) blue = 15;
    return "<c" + GetSubString(buffer, red - 1, 1) + GetSubString(buffer, green - 1, 1) + GetSubString(buffer, blue - 1, 1) +">";
}

